Subject: [PATCH net-next 0/4] phylib: add hardware resolved pause mode support for marvell PHYs

From: Russell King - ARM Linux admin <[email-masked]>
Date: Mon, 17 Feb 2020 15:53:46 +0000

Hi,

Marvell PHYs provide a register that gives us the resolution results
for speed, duplex and the pause enablement status. This series adds
support for using this, and passing it through phylib via the newly
introduced phy_get_pause() interface.

In order to do this, we need to read the copper PHY results from the
correct register; now that I have access to the Marvell documentation,
this becomes much easier for the 88x3310 PHY.

I also find that the code in the marvell 1G driver does not correctly
check that the resolved state in the status register is valid prior
to using it, so there is a patch for that too; I don't deem it
important enough for it to be sent via the -net tree, which would add
additional dependency complexity for this series.

 drivers/net/phy/marvell.c    |  46 +++++++++++++-
 drivers/net/phy/marvell10g.c | 147 ++++++++++++++++++++++++++++---------------
 drivers/net/phy/phy_device.c |   6 ++
 include/linux/phy.h          |   9 +++
 4 files changed, 154 insertions(+), 54 deletions(-)

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps up
According to speedtest.net: 11.9Mbps down 500kbps up